"""add name and message columns to contact_forms table
Revision ID: 8bac97d0f6e1
Revises: 1a2b3c4d5e6f
Create Date: 2023-05-25 15:38:44.692924
"""
from alembic import op
import sqlalchemy as sa

# revision identifiers, used by Alembic
revision = '8bac97d0f6e1'
down_revision = '1a2b3c4d5e6f'
branch_labels = None
depends_on = None

def upgrade():
    op.create_table(
        'contact_forms',
        sa.Column('id', sa.String(36), nullable=False, primary_key=True),
        sa.Column('name', sa.String(), nullable=False),
        sa.Column('email', sa.String(), nullable=False),
        sa.Column('message', sa.Text(), nullable=False),
        sa.Column('created_at', sa.DateTime(), nullable=False, server_default=sa.func.current_timestamp()),
        sa.Column('updated_at', sa.DateTime(), nullable=False, server_default=sa.func.current_timestamp())
    )

def downgrade():
    op.drop_table('contact_forms')